%global __brp_check_rpaths %{nil}
%global packname  fullROC
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Plot Full ROC Curves using Eyewitness Lineup Data

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-graphics 
Requires:         R-stats 
Requires:         R-graphics 

%description
Enable researchers to adjust identification rates using the 1/(lineup
size) method, generate the full receiver operating characteristic (ROC)
curves, and statistically compare the area under the curves (AUC).
References: Yueran Yang & Andrew Smith. (2020). "fullROC: An R package for
generating and analyzing eyewitness-lineup ROC curves".
<doi:10.13140/RG.2.2.20415.94885/1> , Andrew Smith, Yueran Yang, & Gary
Wells. (2020). "Distinguishing between investigator discriminability and
eyewitness discriminability: A method for creating full receiver operating
characteristic curves of lineup identification performance". Perspectives
on Psychological Science, 15(3), 589-607. <doi:10.1177/1745691620902426>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
